Bug 1290498 - [RFE][nova]: Allow Neutron to specify OVS bridge name
[RFE][nova]: Allow Neutron to specify OVS bridge name
Status: CLOSED NEXTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
low Severity low
: Upstream M3
: 10.0 (Newton)
Assigned To: Russell Bryant
nlevinki
https://blueprints.launchpad.net/nova...
upstream_milestone_mitaka-3 upstream_...
: FutureFeature
Depends On:
Blocks: 1281573
  Show dependency treegraph
 
Reported: 2015-12-10 11:56 EST by Stephen Gordon
Modified: 2016-04-08 15:50 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-08 15:50:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 243786 None None None Never
OpenStack gerrit 260699 None None None 2016-02-02 16:28 EST
OpenStack gerrit 260700 None None None 2016-02-02 16:28 EST

  None (edit)
Description Stephen Gordon 2015-12-10 11:56:01 EST
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/neutron-ovs-bridge-name.

Description:

(This blueprint is submitted as a specless blueprint.)

Nova currently gets the name of the OVS bridge to use from a nova.conf. configuration option.  nova/network/neutronv2/api.py contains the following:

     # TODO(berrange) temporary hack until Neutron can pass over the
     # name of the OVS bridge it is configured with
     cfg.StrOpt('ovs_bridge',
                default='br-int',
                help='Name of Integration Bridge used by Open vSwitch'),                                                                                                                                                                 

This blueprint proposes allowing Neutron to specify this in the VIF details that Neutron already sends to Nova.  The patch should be minimally invasive, as it should only affect the 2 places in the neutronv2.api code that currently read this configuration option.  It would grab it from VIF details if present, and fall back to the config option otherwise.

This came up as it would help with implementing the Neutron vlan-aware-vms spec with Neutron's OVS agent.  https://review.openstack.org/#/c/243786/   Even if not used there, it's still a very reasonable TODO item to knock out, as the choice of OVS bridge is really something Neutron should be specifying anyway, even if it's almost always br-int. 

Specification URL (additional information):

None
Comment 1 Mike McCune 2016-03-28 19:24:30 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.